# Enum Class SmiCompiler.TargetMode

java.lang.Object
java.lang.Enum<SmiCompiler.TargetMode>
com.snmp4j.smi.SmiCompiler.TargetMode

All Implemented Interfaces:
  `Serializable, Comparable<SmiCompiler.TargetMode>, Constable`

Enclosing interface:
  `SmiCompiler`

public static enum SmiCompiler.TargetMode extends Enum<SmiCompiler.TargetMode>
The TargetMode defines the target for the compiled MIB modules.

Since:
  1.4
Author:
  Frank Fock

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `dryRun`
  Check for syntax errors only, but do not modify the repository at all.
  `dryRunWithoutErrorLimit`
  Check for syntax errors only, but do not modify the repository at all.
  `storeIntoRepositoryAndLoad`
  Update the persistent repository and the memory cache.
  `storeIntoRepositoryNoLoad`
  Check and update the persistent repository but do not actually load any MIB modules.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SmiCompiler.TargetMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SmiCompiler.TargetMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### dryRun

    public static final SmiCompiler.TargetMode dryRun
    Check for syntax errors only, but do not modify the repository at all.

  - ### dryRunWithoutErrorLimit

    public static final SmiCompiler.TargetMode dryRunWithoutErrorLimit
    Check for syntax errors only, but do not modify the repository at all. Ignore any maximum errors limit.

  - ### storeIntoRepositoryNoLoad

    public static final SmiCompiler.TargetMode storeIntoRepositoryNoLoad
    Check and update the persistent repository but do not actually load any MIB modules.

  - ### storeIntoRepositoryAndLoad

    public static final SmiCompiler.TargetMode storeIntoRepositoryAndLoad
    Update the persistent repository and the memory cache.

- ## Method Details

  - ### values

    public static SmiCompiler.TargetMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SmiCompiler.TargetMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null